package com.imageresizer;

public enum ScaleMode {
    CROP("crop"),
    FIT_CENTER("fit_center"),
    STRETCH("stretch");

    private final String mode;

    ScaleMode(String mode) {
        this.mode = mode;
    }

    public String getMode() {
        return mode;
    }

    public static ScaleMode fromString(String mode) {
        for (ScaleMode scaleMode : values()) {
            if (scaleMode.mode.equalsIgnoreCase(mode)) {
                return scaleMode;
            }
        }
        // Default to FIT_CENTER if not recognized
        return FIT_CENTER;
    }
}